GET
/client-tokens
Requires client_token.read
permission.
Query parameters
afterstring
Return entities after the specified Paddle ID when working with paginated endpoints. Used in the
meta.pagination.next URL in responses for list operations.per_pageinteger
Default:
50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
Max: 200
order_bystring
Default:
id[DESC]Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].
Valid fields for ordering: id.
statusarray
Default:
activeReturn entities that match the specified status. Use a comma-separated list to specify multiple status values.
Values
activerevoked
Response (200)
dataarrayrequired
idstringrequired
Example:
ctkn_01ghbkd0frb9k95cnhwd1bxpvkUnique Paddle ID for this client-side token entity, prefixed with
ctkn_. Not used for Paddle.js authentication; use token for authentication.Pattern:
^ctkn_[a-z\d]{26}$tokenstringrequired
A client-side token, prefixed with
test or live depending on the environment of your account. Pass as the token parameter when initializing Paddle.js to authenticate.namestringrequired
Short name of this client-side token. Typically unique and human-identifiable.
Length: 1–150
descriptionstring | nullrequired
Short description of this client-side token. Typically gives details about what the token is used for and where it's used.
Length: 1–500
statusstringrequired
Default:
activeStatus of this client-side token.
Values
activeClient-side token is active. The token can be used to authenticate Paddle.js.revokedClient-side token is revoked. The token can't be used to authenticate Paddle.js.
revoked_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
paginationobjectrequired
Keys used for working with paginated results.
per_pageintegerrequired
Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
nextstring (uri)required
URL containing the query parameters of the original request, along with the
after parameter that marks the starting point of the next page. Always returned, even if has_more is false.has_morebooleanrequired
Whether this response has another page.
estimated_totalinteger
Example:
999Estimated number of entities for this response.
{ "data": [ { "id": "ctkn_01jppmjcn2ydvfrf861sptq6zh", "token": "live_7d279f61a3499fed520f7cd8c08", "name": "In-app subscription management", "description": "Used to allow logged-in users to upgrade/downgrade their subscriptions directly within our web app's account settings.", "status": "active", "created_at": "2025-06-25T15:30:14.321Z", "updated_at": "2025-06-25T15:30:14.321Z", "revoked_at": null }, { "id": "ctkn_01ghbkd0frb9k95cnhwd1bxpvk", "token": "live_7d279f61a3499fed520f7cd8c08", "name": "Pricing page integration", "description": "Used to display prices and open checkout within our pricing page on our marketing domain.", "status": "revoked", "created_at": "2025-06-26T14:36:14.695Z", "updated_at": "2025-06-27T11:26:10.253Z", "revoked_at": "2025-06-27T11:26:10.253Z" } ], "meta": { "request_id": "913dee78-d496-4d13-a93e-09d834c208dd", "pagination": { "per_page": 50, "next": "https://api.paddle.com/client-tokens?after=ctkn_01ghbkd0frb9k95cnhwd1bxpvk", "has_more": false, "estimated_total": 2 } }}